src/mesh/cs_join_util.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
cs_join_util.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <math.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_defs.h"`
`#include "fvm_io_num.h"`
`#include "cs_join_util.h"`
`#include "cs_file.h"`
`#include "cs_mesh.h"`
`#include "cs_order.h"`
`#include "cs_search.h"`
`#include "cs_sort.h"`
`#include "cs_join_set.h"`
Include dependency graph for cs_join_util.c:

## Macros
#define | DIR_SEPARATOR '/'

## Functions
cs_join_t * | cs_join_create (int join_number, const char *sel_criteria, float fraction, float plane, fvm_periodicity_type_t perio_type, double perio_matrix[3][4], int verbosity, int visualization, bool preprocessing)
void | cs_join_destroy (cs_join_t **join)
cs_join_select_t * | cs_join_select_create (const char *selection_criteria, int verbosity)
void | join_select_destroy (cs_join_param_t param, cs_join_select_t **join_select)
void | cs_join_extract_vertices (cs_lnum_t n_select_faces, const cs_lnum_t *select_faces, const cs_lnum_t *f2v_idx, const cs_lnum_t *f2v_lst, cs_lnum_t n_vertices, cs_lnum_t *n_select_vertices, cs_lnum_t *select_vertices[])
void | cs_join_clean_selection (cs_lnum_t *n_elts, cs_lnum_t *elts[], cs_lnum_t n_ref_elts, cs_lnum_t ref_elts[])
void | cs_join_build_edges_idx (cs_lnum_t n_faces, const cs_lnum_t faces[], const cs_lnum_t f2v_idx[], const cs_lnum_t f2v_lst[], cs_lnum_t v2v_idx[])
void | cs_join_build_edges_lst (cs_lnum_t n_faces, const cs_lnum_t faces[], const cs_lnum_t f2v_idx[], const cs_lnum_t f2v_lst[], cs_lnum_t count[], const cs_lnum_t v2v_idx[], cs_lnum_t v2v_lst[])

## Variables
int | cs_glob_join_count = 0
int | cs_glob_n_joinings = 0
cs_join_t ** | cs_glob_join_array = NULL
FILE * | cs_glob_join_log = NULL

## Macro Definition Documentation

#define DIR_SEPARATOR '/'

## Function Documentation

void cs_join_build_edges_idx | ( | cs_lnum_t | n_faces,
|  | const cs_lnum_t | faces[],
|  | const cs_lnum_t | f2v_idx[],
|  | const cs_lnum_t | f2v_lst[],
|  | cs_lnum_t | v2v_idx[]
| ) |  |

void cs_join_build_edges_lst | ( | cs_lnum_t | n_faces,
|  | const cs_lnum_t | faces[],
|  | const cs_lnum_t | f2v_idx[],
|  | const cs_lnum_t | f2v_lst[],
|  | cs_lnum_t | count[],
|  | const cs_lnum_t | v2v_idx[],
|  | cs_lnum_t | v2v_lst[]
| ) |  |

void cs_join_clean_selection | ( | cs_lnum_t * | n_elts,
|  | cs_lnum_t * | elts[],
|  | cs_lnum_t | n_ref_elts,
|  | cs_lnum_t | ref_elts[]
| ) |  |

cs_join_t* cs_join_create | ( | int | join_number,
|  | const char * | sel_criteria,
|  | float | fraction,
|  | float | plane,
|  | fvm_periodicity_type_t | perio_type,
|  | double | perio_matrix[3][4],
|  | int | verbosity,
|  | int | visualization,
|  | bool | preprocessing
| ) |  |

(end ignore by Doxygen)

void cs_join_destroy | ( | cs_join_t ** | join | ) |

void cs_join_extract_vertices | ( | cs_lnum_t | n_select_faces,
|  | const cs_lnum_t * | select_faces,
|  | const cs_lnum_t * | f2v_idx,
|  | const cs_lnum_t * | f2v_lst,
|  | cs_lnum_t | n_vertices,
|  | cs_lnum_t * | n_select_vertices,
|  | cs_lnum_t * | select_vertices[]
| ) |  |

cs_join_select_t* cs_join_select_create | ( | const char * | selection_criteria,
|  | int | verbosity
| ) |  |

void join_select_destroy | ( | cs_join_param_t | param,
|  | cs_join_select_t ** | join_select
| ) |  |

## Variable Documentation

cs_join_t** cs_glob_join_array = NULL

int cs_glob_join_count = 0

FILE* cs_glob_join_log = NULL

int cs_glob_n_joinings = 0